com.io7m.smfj.processing.api

## Class SMFFilterCommandChecks

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFFilterCommandChecks

-     public final class SMFFilterCommandChecks
      extends Object

  Useful methods for implementing filter commands.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javaslang.collection.Seq<SMFProcessingError>` | `checkAttributeExists(javaslang.collection.Seq<SMFProcessingError> errors, javaslang.collection.Map<SMFAttributeName,SMFAttribute> attributes, SMFAttributeName name)` Check that the given attribute exists.
    `static javaslang.collection.Seq<SMFProcessingError>` | `checkAttributeNonexistent(javaslang.collection.Seq<SMFProcessingError> errors, javaslang.collection.Map<SMFAttributeName,SMFAttribute> attributes, SMFAttributeName name)` Check that the given attribute does not exist.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkAttributeExists

          public static javaslang.collection.Seq<SMFProcessingError> checkAttributeExists(javaslang.collection.Seq<SMFProcessingError> errors,
                                                                                          javaslang.collection.Map<SMFAttributeName,SMFAttribute> attributes,
                                                                                          SMFAttributeName name)

      Check that the given attribute exists.
      Parameters:
        `errors` - The current list of errors
        `attributes` - The available attributes
        `name` - The attribute name
      Returns:
        The list of errors plus an error indicating that the attribute does not exist

    - #### checkAttributeNonexistent

          public static javaslang.collection.Seq<SMFProcessingError> checkAttributeNonexistent(javaslang.collection.Seq<SMFProcessingError> errors,
                                                                                               javaslang.collection.Map<SMFAttributeName,SMFAttribute> attributes,
                                                                                               SMFAttributeName name)

      Check that the given attribute does not exist.
      Parameters:
        `errors` - The current list of errors
        `attributes` - The available attributes
        `name` - The attribute name
      Returns:
        The list of errors plus an error indicating that the attribute already exists

Copyright © 2017 <code@io7m.com> http://io7m.com